CREATE procedure [C6Staging].[RP_ST_ClientePB]
AS
BEGIN
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_ClientePB',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_ClientePB
	insert into c6staging.RP_ClientePB (
	chiaveClientePB,
	chiaveCliente,
	chiavePB,
	idQuestionario,
	profilo,
	frequenza,
	pirModAuto,
	fonte,
	tipologia,
	pirModModif )
	select 
	chiaveClientePB,
	chiaveCliente,
	chiavePB,
	idQuestionario,
	profilo,
	frequenza,
	null,
	null,
	tipologia,
	null 
	from [CONSUNI].ConsulenzaUnica.dbo.ClientePB
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_ClientePB' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_ClientePB'
		)
END